div.intervalselector {
    width: 100%;
    height: 12pt;
    display: flex;
    flex-direction: column;
    border: 1pt solid var(--muted-text-color);
    margin-top: auto;
    margin-bottom: auto;
}

div.intervalselector div.interval {
    display: block;
    position: relative;
    width: 4pt;
    height: 12pt;
    z-index: 0;
    background-color: var(--accent-color);
    filter: brightness(1.3) saturate(0.5);
}

div.intervalselector div.interval:hover {
    filter: brightness(1) saturate(0.5);
}

div.intervalselector div.interval:active {
    filter: brightness(0.8);
}

div.intervalselector input[type=range] {
    -webkit-appearance: none;
    appearance: none;
    height: 0;
    margin: 0 0;
    background: var(--shaded-background-color);
    outline: none;
    z-index: 1;
}

div.intervalselector input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    transform: translateY(6pt);
    width: 12pt;
    height: 12pt;
    outline: 1pt solid var(--muted-text-color);
    border: none;
    border-radius: 0;
    background: var(--accent-color);
}

div.intervalselector input[type=range]::-webkit-slider-thumb:hover {
    filter: brightness(0.75);
}

div.intervalselector input[type=range]::-webkit-slider-thumb:active {
    filter: brightness(0.5);
}

div.intervalselector input[type=range]::-moz-range-thumb {
    transform: translateY(6pt);
    width: 12pt;
    height: 12pt;
    outline: 1pt solid var(--muted-text-color);
    border: none;
    border-radius: 0;
    background: var(--accent-color);
}

div.intervalselector input[type=range]::-moz-range-thumb:hover {
    filter: brightness(0.75);
}

div.intervalselector input[type=range]::-moz-range-thumb:active {
    filter: brightness(0.5);
}